org.codehaus.plexus.component.repository

## Class ComponentRequirement

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentRequirement

Direct Known Subclasses:
  ComponentRequirementList

    public class ComponentRequirement
    extends java.lang.Object

This represents a component this is required by another component.

Version:
  $Id: ComponentRequirement.java 6965 2007-10-21 05:32:27Z jvanzyl $
Author:
  Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`ComponentRequirement()`

### Method Summary

Methods
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getFieldMappingType()` Returns the type of the field this component requirement will inject.
`java.lang.String` `getFieldName()` Returns the field name that this component requirement will inject.
`java.lang.String` `getHumanReadableKey()` Returns a human-friendly key, suitable for display.
`java.lang.String` `getRole()` Returns the role of the required component.
`java.lang.String` `getRoleHint()` Returns the role-hint of the required component.
`int` `hashCode()`
`void` `setFieldMappingType(java.lang.String fieldType)` Sets the type of the field that will be populated by the required component.
`void` `setFieldName(java.lang.String fieldName)` Sets the name of the field that will be populated by the required component.
`void` `setRole(java.lang.String role)` Sets the role of the require component.
`void` `setRoleHint(java.lang.String roleHint)` Sets the role-hint of the require component.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentRequirement

    public ComponentRequirement()

### Method Detail

#### getFieldName

    public java.lang.String getFieldName()

Returns the field name that this component requirement will inject.

Returns:
  the field name that this component requirement will inject

#### setFieldName

    public void setFieldName(java.lang.String fieldName)

Sets the name of the field that will be populated by the required component.

Parameters:
  `fieldName` - the name of the field to be populated

#### getRole

    public java.lang.String getRole()

Returns the role of the required component.

Returns:
  the role of the required component

#### setRole

    public void setRole(java.lang.String role)

Sets the role of the require component.

Parameters:
  `role` - the required component's role

#### getRoleHint

    public java.lang.String getRoleHint()

Returns the role-hint of the required component.

Returns:
  the role-hint of the required component

#### setRoleHint

    public void setRoleHint(java.lang.String roleHint)

Sets the role-hint of the require component. Pasing null will set the hint to the default value.

Parameters:
  `roleHint` - the required component's role-hint

#### getFieldMappingType

    public java.lang.String getFieldMappingType()

Returns the type of the field this component requirement will inject.

Returns:
  the type of the field this component requirement will inject

#### setFieldMappingType

    public void setFieldMappingType(java.lang.String fieldType)

Sets the type of the field that will be populated by the required component.

Parameters:
  `fieldType` - the type of the field to be populated

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getHumanReadableKey

    public java.lang.String getHumanReadableKey()

Returns a human-friendly key, suitable for display.

Returns:
  a human-friendly key

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`